Subject: FVWM: FvwmButtonsPanel placement issue

From: Jim Nicholson <[email-masked]>
Date: Fri, 5 Feb 1999 12:29:06 -0500 (EST)

I've just upgraded to 2.1.10, and finally decided to tackle converting 
my configuration to use some of the more recent features. Primarily,
I'm trying to see how much of what I did in the past with FvwmWharf
and FvwmTaskBar can actually be done with FvwmButtons.

I think I found a problem with the Panel placement logic. I'm
attaching my configuration below. The gist of what I've discovered is
that if the panel invoked with "Panel(up) has padding set to 0 0, the
panel always appears at +0+0 on the screen. If I take the Padding
setting off the panel, the panel comes up where you would expect it to 
(above the invoking button).

I'm posting here first before the developer's list because I'm not
certain if this is a bug, or if I just misunderstand something.

Style MyMenu*  NoTitle, NoHandles, Sticky, WindowListSkip,BorderWidth 1, StaysOnTop

*MyMenuBack Grey
*MyMenuBoxSize Smart
*MyMenuGeometry +0-0
*MyMenuRows 1
*MyMenuFont -*-lucida-bold-r-*-*-12-*-*-*-*-*-*-*
*MyMenuFore Black
*MyMenuPadding 0 0
*MyMenuFrame 1

*MyMenu(1x1, Size 64 22, Title (Side) Menu, Icon mini-penguin.xpm, Panel(up) Menu ) 
*MyMenu(3x1, Size 64 22, Swallow "FvwmPager" "FvwmPager 0 2")

*MyMenuPanel Menu
*MyMenuColumns 1
*MyMenuPadding 0 0
*MyMenu(Size 64 22, Title(Side) Xterm, Icon mini.xterm.xpm, Action 'Exec  xterm -cn -T local -n local -ls -fg Green -bg Black')

AddToFunc "RestartFunction" 
+ "I" Module FvwmButtons MyMenu

AddToFunc "InitFunction" 
+ "I" Module FvwmButtons MyMenu
--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].